<?php

/*
 *
 * Theme Version Function
 *
*/
function appilo_theme_version(){
    $appilotheme = wp_get_theme();
    $appilo_version = esc_html($appilotheme->get( 'Version' ));
    return $appilo_version;
}
/**
 * Enqueue scripts and styles.
 */
function appilo_scripts() {

    // Main Style of Appilo
    wp_enqueue_style( 'appilo-style', get_stylesheet_uri() );

    wp_enqueue_style( 'appilo-bootstrap', get_template_directory_uri() . '/css/bootstrap.css', '', appilo_theme_version() );
    wp_style_add_data( 'appilo-bootstrap', 'rtl', 'replace' );

    wp_enqueue_style( 'app-showcase-icons', get_template_directory_uri() . '/css/plugins/appilo-icons-2/style.css' , '', appilo_theme_version());
    wp_enqueue_style( 'appilo-flaticon', get_template_directory_uri() . '/css/plugins/flaticon1/flaticon.css' , '', appilo_theme_version());
    wp_enqueue_style( 'appilo-icon-v3-1', get_template_directory_uri() . '/css/plugins/appilo-icons-3/css/flaticon.css' , '', appilo_theme_version());
    wp_enqueue_style( 'appilo-icon-v4-1', get_template_directory_uri() . '/css/plugins/appilo-icons-4/css/flaticon.css' , '', appilo_theme_version());
    wp_enqueue_style( 'appilo-icon-v3-2', get_template_directory_uri() . '/css/plugins/appilo-icons-3/css/elegenticon.css' , '', appilo_theme_version());

    wp_enqueue_style( 'appilo-fontawesome-min', get_template_directory_uri() . '/css/plugins/fontawesome-5/css/fontawesome-all.min.css' , '', appilo_theme_version());

    wp_enqueue_style( 'appilo-library', get_template_directory_uri() . '/css/appilo-library.css', '', appilo_theme_version() );

    wp_enqueue_style( 'appilo-woocommerce', get_template_directory_uri() . '/woocommerce/woocommerce.css', '', appilo_theme_version() );

    wp_enqueue_style( 'appilo-main', get_template_directory_uri() . '/css/appilo.css', '', appilo_theme_version() );
    wp_style_add_data( 'appilo-main', 'rtl', 'replace' );

    wp_enqueue_style( 'appilo-theme-style', get_template_directory_uri() . '/css/appilo-theme-style.css', '', appilo_theme_version() );
    
    //SaaS Classic Css
    wp_enqueue_style( 'saas-classic', get_template_directory_uri() . '/css/saas-classic.css', '', appilo_theme_version() );
    wp_style_add_data( 'saas-classic', 'rtl', 'replace' );

    //App Showcase Css
    wp_enqueue_style( 'app-showcase', get_template_directory_uri() . '/css/app-showcase.css', '', appilo_theme_version() );
    wp_style_add_data( 'app-showcase', 'rtl', 'replace' );

    //Digital Agency Css
    wp_enqueue_style( 'digital-agency', get_template_directory_uri() . '/css/digital-agency.css', '', appilo_theme_version() );
    wp_style_add_data( 'digital-agency', 'rtl', 'replace' );

    //Gym Css
    wp_enqueue_style( 'gym-style', get_template_directory_uri() . '/css/gym-style.css', '', appilo_theme_version() );

    //Landing page 2 Css
    wp_enqueue_style( 'apl2-style', get_template_directory_uri() . '/css/apl2-style.css', '', appilo_theme_version() );

    //Prysm Css
    wp_enqueue_style( 'prysm-style', get_template_directory_uri() . '/css/prysm.css', '', appilo_theme_version() );

    //It-Source Css
    wp_enqueue_style( 'itsource-style', get_template_directory_uri() . '/css/itsource-style.css', '', appilo_theme_version() );

    //Digital Marketing Css
    wp_enqueue_style( 'digital-marketing', get_template_directory_uri() . '/css/digital-marketing.css', '', appilo_theme_version() );

    //Business Expert Css
    wp_enqueue_style( 'business-expert', get_template_directory_uri() . '/css/business-expert.css', '', appilo_theme_version() );

    //Appilo App Landing Css
    wp_enqueue_style( 'appilo-applanding', get_template_directory_uri() . '/css/appilo-applanding.css', '', appilo_theme_version() );
    
    //SEO Agency Css
    wp_enqueue_style( 'SEO-agency', get_template_directory_uri() . '/css/seo-agency.css', '', appilo_theme_version() );

    //Appilo Resume
    wp_enqueue_style( 'appilo-resume', get_template_directory_uri() . '/css/appilo-resume.css', '', appilo_theme_version() );

    //demo-pages
    wp_enqueue_style( 'demo-pages', get_template_directory_uri() . '/css/demo-page.css', '', appilo_theme_version() );

    //demo-pages
    wp_enqueue_style( 'crypto-css', get_template_directory_uri() . '/css/crypto.css', '', appilo_theme_version() );



    // Start Enqueue JS Script
    // Main Script
    wp_enqueue_script( 'appilo-js-plugin', get_template_directory_uri() . '/js/appilo-js-plugin.js', array(), appilo_theme_version(), true );

    wp_enqueue_script( 'appilo-bootstrap', get_template_directory_uri() . '/js/bootstrap.min.js', array(), appilo_theme_version(), true );

    wp_enqueue_script( 'appilo-woocommerce', get_template_directory_uri() . '/woocommerce/woocommerce.js', array(), appilo_theme_version(), true );

    wp_enqueue_script( 'appilo-theme-custom', get_template_directory_uri() . '/js/appilo-theme-custom.min.js', array(), appilo_theme_version(), true );

    wp_enqueue_script('appilo-core-main' , get_template_directory_uri() . '/js/main.js', array(),  appilo_theme_version(), true);

    wp_enqueue_script('appilo-gym' , get_template_directory_uri() . '/js/gym.js', array(),  appilo_theme_version(), true);

    wp_enqueue_script('app_landing_2' , get_template_directory_uri() . '/js/app-landing-2.js', array(),  appilo_theme_version(), true);
    
    wp_enqueue_script('app-land-scripts-new' , get_template_directory_uri() . '/js/app-land-scripts.js', array(),  appilo_theme_version(), true);

    wp_enqueue_script('prysm' , get_template_directory_uri() . '/js/prysm.js', array(),  appilo_theme_version(), true);

    wp_enqueue_script('itsource' , get_template_directory_uri() . '/js/itsource.js', array(),  appilo_theme_version(), true);

    wp_enqueue_script('digital-marketing' , get_template_directory_uri() . '/js/digital-marketing.js', array(),  appilo_theme_version(), true);

    wp_enqueue_script('business-expert' , get_template_directory_uri() . '/js/business-expert.js', array(),  appilo_theme_version(), true);

    wp_enqueue_script('seo-agency' , get_template_directory_uri() . '/js/seo-agency.js', array(),  appilo_theme_version(), true);

    wp_enqueue_script('appilo-resume' , get_template_directory_uri() . '/js/appilo-resume.js', array(),  appilo_theme_version(), true);

    wp_enqueue_script('appilo-demo-page' , get_template_directory_uri() . '/js/demo-page.js', array(),  appilo_theme_version(), true);

    wp_enqueue_script('countdown-js' , get_template_directory_uri() . '/js/countdown.js', array(),  appilo_theme_version(), true);

    wp_enqueue_script('crypto-js' , get_template_directory_uri() . '/js/crypto.js', array(),  appilo_theme_version(), true);



//    Mouse Cursor style
    $mouse_cursor = get_theme_mod('appilo_mouse_cursor');
    if ($mouse_cursor){
        wp_enqueue_style( 'custom-cursor-css', get_template_directory_uri() . '/css/custom-cursor-style.css', '', appilo_theme_version() );

        wp_enqueue_script('gsap-for-cursor' , '//cdnjs.cloudflare.com/ajax/libs/gsap/3.9.0/gsap.min.js', array(),  appilo_theme_version(), true);

        wp_enqueue_script('custom-cursor' , get_template_directory_uri() . '/js/custom-cursor.js', array(),  appilo_theme_version(), true);

    }






    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' );
    }
}
add_action( 'wp_enqueue_scripts', 'appilo_scripts' );
